
QGIS Application - Bug report #9152

symmetrical difference errors/warnings even when input geometries are ok

2013-12-02 02:40 PM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17785

Description

Pick the attached input files. Geometries are ok, at least qgis say so.

Now run a symmetrical difference.

If does not choose to add the result to the map, then at the end this message will show

-----

Warnings:

Feature geometry error: One or more output features ignored due to invalid geometry.

Some output geometries may be missing or invalid.

Would you like to add the new layer anyway?

-----

In any case the QGIS log is flooded with this messages:

tested on master.

Feature geometry not imported (OGR error: )

Feature creation error (OGR error: Pointer 'hFeat' is NULL in 'OGR_L_CreateFeature'.

)

------------

History

#1 - 2013-12-02 02:40 PM - Giovanni Manghi

- File sym_dif.tar.gz added

#2 - 2014-06-20 12:07 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

it seems ok on master.

#3 - 2017-05-01 01:21 AM - Giovanni Manghi
The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

sym_dif.tar.gz 352 KB 2013-12-02 Giovanni Manghi
